Loading...

Job Scheduling API

Job Scheduling is a Catalyst service that allows you to schedule job submissions and execute them in a Job Pool to trigger Circuits, Webhooks (any third-party URL), Job Functions, and App Sail service’s endpoints.

Get All Job Pools

Description

This API enables you to retrieve details of all the Job Pools present in the project.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/job_scheduling/jobpool

copy

project_id
Numerical
The unique ID of the project

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.jobpool.READ

Response Details

The JSON response returns the metadata of all the Job Pools present in the project. The response will also contain the details of the user who created and last modified it.

Sample Request
copy

curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/jobpool -H “Authorization: Zoho-oauthtoken 1000.91016.2f57”

Sample Response
copy
{
"status": "success",
"data": [
    {
    "type": "AppSail",
    "name": "TriggerMicroservice",
    "created_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "created_time": "May 28, 2024 04:51 PM",
    "modified_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "modified_time": "May 28, 2024 04:51 PM",
    "capacity": {
        "number": "1"
    },
    "project_details": {
        "project_name": "ZylkerShipments",
        "id": "10108000003823392",
        "project_type": "Live"
    },
    "id": "10108000003823795"
    },
    {
    "type": "Circuit",
    "name": "InventoryDataMaintaince",
    "created_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "created_time": "May 28, 2024 04:49 PM",
    "modified_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "modified_time": "May 28, 2024 04:49 PM",
    "capacity": {
        "number": "3"
    },
    "project_details": {
        "project_name": "ZylkerShipments",
        "id": "10108000003823392",
        "project_type": "Live"
    },
    "id": "10108000003823699"
    },
    {
    "type": "Webhook",
    "name": "VendorDataFetch",
    "created_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "created_time": "May 28, 2024 04:47 PM",
    "modified_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "modified_time": "May 28, 2024 04:47 PM",
    "capacity": {
        "number": "3"
    },
    "project_details": {
        "project_name": "ZylkerShipments",
        "id": "10108000003823392",
        "project_type": "Live"
    },
    "id": "10108000003823632"
    },
    {
    "type": "Function",
    "name": "VendorReminder",
    "created_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "created_time": "May 28, 2024 04:44 PM",
    "modified_by": {
        "zuid": "77941453",
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia Burrows",
        "last_name": "",
        "user_type": "Admin",
        "user_id": "10108000000009004"
    },
    "modified_time": "May 28, 2024 04:44 PM",
    "capacity": {
        "memory": "2048"
    },
    "project_details": {
        "project_name": "ZylkerShipments",
        "id": "10108000003823392",
        "project_type": "Live"
    },
    "id": "10108000003823563"
    }
]
}
View more